# Overview

Source: https://www.digiparser.com/docs/api

# Overview

Complete API documentation for developers

Copy MarkdownOpen

# [API Reference](#api-reference)

Feedback

DigiParser provides a REST API for programmatically processing documents and managing parsers.

## [Getting Started](#getting-started)

### [Authentication](#authentication)

Feedback

All API requests require authentication using API keys.

Feedback

[Learn more about authentication ->](/docs/api/authentication)

### [Base URL](#base-url)

```
https://api.digiparser.com
```

Feedback

All endpoints are under `/api/v1/`, for example `POST /api/v1/process/{parserId}/files`.

### [Rate Limits](#rate-limits)

Feedback

*   100 requests per minute per API key
*   10,000 requests per day per API key

## [Webhooks](#webhooks)

Feedback

Receive real-time notifications about document processing.

Feedback

[Learn about webhooks ->](/docs/api/webhooks)

## [Reprocess and Delete](#reprocess-and-delete)

Feedback

Re-run extraction on existing documents (e.g. after adding new fields) or delete documents to free externalIds for reuse.

Feedback

[Reprocess and Delete API (OpenAPI spec) ->](/docs/openapi)

## [SDKs](#sdks)

Feedback

Official SDKs coming soon. For now, use the REST API directly.

How is this guide?

GoodBad

[

Authentication

How to authenticate API requests

](/docs/api/authentication)